server:
  host: ${GATEWAY_SERVER_HOST:0.0.0.0}
  port: ${GATEWAY_SERVER_PORT:5150}

gateway:
  debug: false
  route_file: ${GATEWAY_ROUTE_FILE_PATH:configs/routes.json}
  geoip_db: ${GATEWAY_GEO_DB_FILE_PATH:geodb/GeoLite2-Country.mmdb}
  blocked_countries:
    - US

tls:
  root_ca: ${GATEWAY_TLS_ROOT_CA:tls-certs/ca.crt}
  client_cert: ${GATEWAY_TLS_CLIENT_CERT:tls-certs/client.crt}
  client_key: ${GATEWAY_TLS_CLIENT_KEY:tls-certs/client.key}
  server_cert: ${GATEWAY_TLS_SERVER_CERT:tls-certs/service.crt}
  server_key: ${GATEWAY_TLS_SERVER_KEY:tls-certs/service.key}

logging:
  level: ${GATEWAY_LOG_LEVEL:info} # debug, info, warn, error
  format: ${GATEWAY_LOG_FORMAT:text} # text, json
